%define anolis_release 3
%global srcname sh

%global common_description %{expand:
sh is a full-fledged subprocess replacement for Python that allows you to call
any program as if it were a function.  sh is not a collection of system
commands implemented in Python.}

Name:           python-%{srcname}
License:        MIT
Summary:        Python subprocess replacement
Version:        1.14.3
Release: %{anolis_release}%{dist}
URL:            https://github.com/amoffat/sh
Source0:        %pypi_source
BuildArch:      noarch
BuildRequires:  lsof

%description %{common_description}

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %{common_description}

%package -n python3-%{srcname}-doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    -n python3-%{srcname}-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py3_build

%install
%py3_install
%generate_compatibility_deps

%check
%{__python3} sh.py travis

%files -n python3-%{srcname}
%license LICENSE.txt
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/__pycache__/%{srcname}.cpython-%{python3_version_nodots}.*
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%files  -n python3-%{srcname}-doc
%doc CHANGELOG.md README.rst

%changelog
* Tue May 14 2024 Bo Ren <rb01097748@alibaba-inc.com> - 1.14.3-3
- update source

* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.14.3-2
- Rebuild with python3.11

* Tue Apr 04 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 1.14.3-1
- Init package from upstream
